Invite a person
curl --request POST \
--url https://control.api.niadra.com/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "rui@acme.example",
"password": "a-long-passphrase-2026",
"roles": [
{
"role": "security"
}
],
"with_totp": true
}
'import requests
url = "https://control.api.niadra.com/v1/users"
payload = {
"email": "rui@acme.example",
"password": "a-long-passphrase-2026",
"roles": [{ "role": "security" }],
"with_totp": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'rui@acme.example',
password: 'a-long-passphrase-2026',
roles: [{role: 'security'}],
with_totp: true
})
};
fetch('https://control.api.niadra.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "0192f0a0-4e5f-7061-9c72-8d9e0f1a2b35",
"email": "rui@acme.example",
"active": true,
"last_login_at": null,
"roles": [
{
"role": "security",
"space_id": null,
"source_ids": []
}
],
"totp_uri": "otpauth://totp/Niadra:rui%40acme.example?secret=JBSWY3DPEHPK3PXP&issuer=Niadra"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Control: access
Invite a person
A new person in the Console.
POST
/
v1
/
users
Invite a person
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
3 - 320At least 12 characters.
Required string length:
12 - 1024Required array length:
1 - 32 elementsShow child attributes
Show child attributes
Create a TOTP secret and return its enrollment URI once.
Response
The person, with the enrollment URI when a second factor was requested.

